import sensors from './sensorsdata.es6.min.js';

// 全局属性
let defaultCommonProps = {}

export function useSensors(options) {
  window.$sensors = sensors
  // 神策系统配置
  sensors.init({
    show_log: true,
    server_url: window._CONFIG.SENSORS_HOST + `/sdata/sa?project=bi&ptype=bi`,
    // is_track_single_page: false, // 单页面配置，默认开启，若页面中有锚点设计，需要将该配置删除，否则触发锚点会多触发 $pageview 事件
    use_client_time: true,
    send_type: 'image',
    heatmap: {
      //是否开启点击图，default 表示开启，自动采集 $WebClick 事件，可以设置 'not_collect' 表示关闭。
      clickmap: 'not_collect',
      //是否开启触达图，not_collect 表示关闭，不会自动采集 $WebStay 事件，可以设置 'default' 表示开启。
      scroll_notice_map: 'not_collect',
    },
  });

  // 配置全局属性
  sensors.registerPage(Object.assign({}, defaultCommonProps, options.commonProps));

}
